Bug 492673 - The document conventions text no longer translates properly
The document conventions text no longer translates properly
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Ruediger Landmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 18:55 EDT by Ruediger Landmann
Modified: 2010-11-23 23:17 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.2-0.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 00:20:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Conventions.xml in German, as it appeared in Publican prior to upgrade (0.40) (10.64 KB, text/xml)
2009-03-27 18:55 EDT, Ruediger Landmann
no flags Details
Conventions.xml in German, as it appears after upgrading Publican to version 0.44 (9.87 KB, text/xml)
2009-03-27 18:58 EDT, Ruediger Landmann
no flags Details

  None (edit)
Description Ruediger Landmann 2009-03-27 18:55:10 EDT
Created attachment 337076 [details]
Conventions.xml in German, as it appeared in Publican prior to upgrade (0.40)

Description of problem:

The document conventions text no longer translates properly in new installations or upgrades of Publican if kdesdk-4.2.1-1 has been installed. For users upgrading Publican after upgrading kdesdk, their previously working Publican will break.

A bug in kdesdk-utils (#487624) meant that the po tools did not handle the blockquote tag correctly. The common content sections in Publican were created with the tool in this buggy state, so the Conventions.po file contained a large section of text that was treated as a single string because it contained blockquote tags.

The problem in kdesdk was fixed in kdesdk-4.2.1-1 but it now means that when Publican installs and creates its .Conventions.xml file in each language, these .xml files each contain a large slab of untranslated (English) text.

Version-Release number of selected component (if applicable):
0.44 (the first new version of Publican since kdesdk was fixed, but could this happen with an older version of Publican if the user installed the new kdesdk first?)

How reproducible:
All the time

Steps to Reproduce:
1. make sure that kdesdk-4.2.1-1 is installed
2. install Publican for the first time, or upgrade an existing installation of Publican
3. look at (for example) usr/share/publican/Common_Content/common/de-DE/Conventions.xml
  
Actual results:
The XML file contains a large section of text in English, beginning "To see the contents of the file" and going on for several paragraphs.

Expected results:
This text should be appear in German.

Additional info:
Translations for this text already appear in the .po files contained in the source. The Conventions.pot file and the .po files in each language need to be updated to work with a kdesdk that works properly.
Comment 1 Ruediger Landmann 2009-03-27 18:58:06 EDT
Created attachment 337077 [details]
 Conventions.xml in German, as it appears after upgrading Publican to version 0.44
Comment 2 Michael Hideo 2009-06-16 22:10:11 EDT
Adding to my list for QA
Comment 3 Ruediger Landmann 2009-06-16 22:25:08 EDT
Mike, a while ago, I checked a fixed .pot file and fixed .po files in all languages into the repo; so this is all ready to package up.
Comment 4 Jeff Fearn 2009-08-10 19:25:52 EDT
This should be fixed in the BETA.
Comment 5 Ruediger Landmann 2009-09-08 02:02:35 EDT
Fixed in 1.0; tested with a new book in de-DE
Comment 6 Fedora Update System 2009-11-17 21:19:13 EST
publican-1.2-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.2-0.fc12
Comment 7 Bug Zapper 2009-11-18 06:37:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora Update System 2009-11-20 00:18:21 EST
publican-1.2-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-11-25 09:53:28 EST
publican-1.2-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.